man.links.are.underlined
Prev | Link handling | Next

## Name

man.links.are.underlined — Underline links?

## Synopsis

    <xsl:param name="man.links.are.underlined">1</xsl:param>

## Description

If the value of `man.links.are.underlined` is non-zero (the default), then the contents of links are rendered with an underline.

If the value of `man.links.are.underlined` is zero, links are displayed without any underlining.

Currently, this parameter only affects output for `ulink`s.

If you set `man.links.are.numbered` and/or `man.links.list.enabled` to zero (disabled), then you should probably also set `man.links.are.underlined` to zero. But if `man.links.are.numbered` is non-zero (enabled), you should probably set a non-zero value for `man.links.are.underlined` also[3].

[3] If the main purpose of underlining of links in most output formats it to indicate that the underlined text is “clickable”, given that links rendered in man pages are not “real” hyperlinks that users can click on, it might seem like there is never a good reason to have link contents underlined in man output.

In fact, if you suppress the display of inline link references (by setting `man.links.are.numbered` to zero), there is no good reason to have links underlined. However, if `man.links.are.numbered` is non-zero, having links underlined may (arguably) serve a purpose: It provides “context” information about exactly what part of the text is being “annotated” by the link. Depending on how you use mark up your content, that context information may or may not have value.

Prev | Up | Next
man.links.are.numbered | Home | man.links.list.enabled